/* DDSLOTM.DCL  -  Dialog Box Source for DDSLOT.LSP

   Revision #: 6
   Last Modified: 10/21/95  GWG
   Last changes: Cleaned it up (a little) for distribution
   Version Control: Yes

   -------------------------------------

   Gerald W. Gaston
   CADepth Solutions, Inc.
   409 Sloan Street
   Spartanburg, SC 29303

   GGaston@msn.com
   76736.3630@CompuServe.com

*/


dcl_settings : default_dcl_settings { audit_level = 3 ; }

ddslotm : dialog {
    key = "dlabel" ;
    initial_focus = "slen" ;
        : row {
            : column {
                : image {
                    width = 24.0 ;
                    aspect_ratio = 0.0 ;
                    key = "slimage" ;
                } // end of image tile
            } // end of first column in top row
            : column {
                spacer_1 ;
                : edit_box {
                    width = 20 ;
                    allow_accept = true ;
                    fixed_width = true ;
                    label = "(L)ength: " ;
                    key = "slen" ;
                    mnemonic = "L" ;
                    edit_width = 9 ;
                 }
                 : edit_box {
                    width = 20 ;
                    allow_accept = true ;
                    fixed_width = true ;
                    label = "(W)idth: " ;
                    key = "swid" ;
                    mnemonic = "W" ;
                    edit_width = 9 ;
                    }
                spacer_1 ;
                : boxed_radio_row {
                   label = "Center Point:" ;
                   : radio_button {
                        label = "Left" ;
                        key = "linsert" ;
                        mnemonic = "f" ;
                   }
                   : radio_button {
                        label = "Center" ;
                        key = "cinsert" ;
                        mnemonic = "n" ;
                   }
                   : radio_button {
                        label = "Right" ;
                        key = "rinsert" ;
                        mnemonic = "g" ;
                   }
                } // end of boxed_radio_row Center Point
            } // end of second column in first row
        } // end of top row
        spacer_1 ;
        : row {
            : boxed_radio_column {
                label = "Draw Style:" ;
               : radio_button {
                    label = "Lines and Arcs" ;
                    key = "a_line" ;
                    mnemonic = "A" ;
                }
                : radio_button {
                    key = "p_line" ;
                    label = "Single Polyline" ;
                    mnemonic = "P" ;
                }
            }
            : boxed_radio_column {
                label = "Slot Style:" ;
               : radio_button {
                    label = "Obround" ;
                    key = "obrnd" ;
                    mnemonic = "O" ;
                    }
                : radio_button {
                    label = "Rectangular" ;
                    key = "rectan" ;
                    mnemonic = "R" ;
                    }
            }
            : boxed_radio_column {
                label = "Draw Angle:" ;
               : radio_button {
                    label = "0" ;
                    key = "deg_0" ;
                    mnemonic = "0" ;
               }
               : radio_button {
                    label = "90" ;
                    key = "deg_90" ;
                    mnemonic = "9" ;
               }
           }
        } // end of second row
        spacer_1 ;
        :row {
          fixed_width = true ;
          alignment = centered ;
          : toggle {
              label = "Rotate Slot.";
              key = "rslot";
              mnemonic = "t" ;
          }
          : spacer { width = 6;}
          : toggle {
              label = "Draw Single Slot.";
              key = "sslot";
              mnemonic = "D" ;
          }
        }
        spacer_1 ;

      :column {
         : row {
            fixed_width = true;
            alignment = centered;
            ok_button;
            : spacer { width = 2; }
            cancel_button;
            : spacer { width = 2; }
            info_button;
         }
      }
      : text {
          width = 45 ;
          key = "mesg" ;
      }
} // end of dialog

// dialog for the information screen
showinfo : dialog {
   label = "The Slot Maker - Program Information" ;
   : text {
       alignment = centered;
       label = "DDSLOTM.TXT";
   }
   spacer_1;
   : list_box {
      key = "pif" ;
      fixed_width = true ;
      fixed_height = true ;
      width = 60;
      height = 18 ;
      is_tab_stop = false ;
   }
   ok_only ;
}

